Get client data
Retrieves comprehensive data about the authenticated client and the server. Returns user profile information, granted permissions, and server metadata.
Retrieves comprehensive data about the authenticated client and the server. Returns user profile information, granted permissions, and server metadata.
Preferred API authentication. Use a JWT with the api audience.
In: header
Response Body
application/json
application/json
application/json
application/json
curl -X GET "http://127.0.0.1:38765/v1/client"{
"id": "string",
"username": "string",
"role": "ADMIN",
"email": "string",
"server_permissions": [
{
"global_permission": "CREATE_INSTANCE",
"granted": true
}
],
"server_info": {
"version": "string",
"commit_hash": "string",
"branch_name": "string",
"public_api_address": "string",
"public_webdav_address": "string",
"public_docs_address": "string",
"public_mcp_address": "string",
"minecraft_version": "string"
}
}{
"code": 0,
"grpc-code": "string",
"message": "string",
"stack-trace": "string",
"details": [
{}
]
}{
"code": 0,
"grpc-code": "string",
"message": "string",
"stack-trace": "string",
"details": [
{}
]
}{
"code": 0,
"grpc-code": "string",
"message": "string",
"stack-trace": "string",
"details": [
{}
]
}How is this page?
Generate WebDAV token POST
Generates a new JWT token specifically for WebDAV authentication. The generated token has the "webdav" audience and can only be used for WebDAV access.
Invalidate self sessions POST
Invalidates all existing sessions for the currently authenticated user. This is done by setting the user's minIssuedAt timestamp to the current time, which causes all previously issued JWT tokens to become invalid. After calling this method, the user will need to re-authenticate on all devices.